at.chipkarte.client.auth.soap

## Class TaetigkeitsBereich

- Object
- - at.chipkarte.client.auth.soap.TaetigkeitsBereich

-     public class TaetigkeitsBereich
      extends Object

  Enthält die Daten zum Tätigkeitsbereich (der Ausprägung) des Vertragspartners.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TaetigkeitsBereich()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getAnzeigeText()` Anzeigetext des Tätigkeitsbereichs.
    `String` | `getCode()` Codebezeichner des Tätigkeitsbereichs.
    `String` | `getId()` ID des Tätigkeitsbereichs.
    `void` | `setAnzeigeText(String anzeigeText)`
    `void` | `setCode(String code)`
    `void` | `setId(String id)`

    - ### Methods inherited from class Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TaetigkeitsBereich

          public TaetigkeitsBereich()

  - ### Method Detail

    - #### getId

          public String getId()

      ID des Tätigkeitsbereichs.
      Format: maximal 19-stellig
      Returns:
        Kennzeichnung

    - #### getCode

          public String getCode()

      Codebezeichner des Tätigkeitsbereichs.
      Mögliche (momentanen) Werte:

      Code | Bedeutung
      ARZT | Arzt
      HBHM | Heilbehelfe und Hilfsmittel
      HLLF | Hilfs- Liefer- Leihfirma
      TRANSPORT | Rettungsdienste, Beförderungsgewerbe
      APOTH | öffentliche Apotheke
      GRPPX | Gruppenpraxis
      OEFFKASTA | öffentliche Krankenanstalt
      PRIVKASTA | private Krankenanstalt
      MSE | medizinische oder sonstige Einrichtung
      NAEGB | Nichtärztlicher Gesundheitsberuf
      PVZ> | Primärversorgungszentrum
      PVN> | Primärversorgungsnetzwerk

      Hinweis: Die Tabelle der möglichen Werte unterliegt nicht der Garantie auf Vollständigkeit. Eine Erweiterung der möglichen Werte ist jederzeit (ohne Hebung der Schnittstelle, ohne Releasewechsel) möglich!
      Die Ermittlung der möglichen durchführbaren Funktionen des Vertragspartners sollte daher immer auf der aktuellen Rechte-Situation des Vertragspartners aufsetzen (siehe Funktion `getBerechtigungen`.)
      Returns:
        Code

    - #### getAnzeigeText

          public String getAnzeigeText()

      Anzeigetext des Tätigkeitsbereichs. Zum Beispiel Arzt, Apotheke, usw.
      Returns:
        Anzeigetext

    - #### setId

          public void setId(String id)

    - #### setCode

          public void setCode(String code)

    - #### setAnzeigeText

          public void setAnzeigeText(String anzeigeText)